Last-Update: 2023-03-22
Forwarded: not-needed
Author: Dmitry Smirnov <onlyjob@debian.org>
Description: use prebuilt image for Docker tests (used only when Docker is available);
 disable Docker compatibility tests due to dependency on "-dind" images.

--- a/executors/docker/docker_command_integration_test.go
+++ b/executors/docker/docker_command_integration_test.go
@@ -1200,8 +1200,9 @@
 	return err
 }
 
 func testDockerVersion(t *testing.T, version string) {
+t.Skip("DM-disabled");
 	t.Log("Running docker", version, "...")
 	id, err := runDockerInDocker(version)
 	if err != nil {
 		t.Error("Docker run:", err)
--- a/executors/docker/docker_test.go
+++ b/executors/docker/docker_test.go
@@ -897,8 +897,9 @@
 	t *testing.T,
 	dockerConfig *common.DockerConfig,
 	cce containerConfigExpectations,
 ) (*dockerConfigurationTestFakeDockerClient, *executor) {
+t.Skip("DM-disabled");
 	c := &dockerConfigurationTestFakeDockerClient{
 		cce: cce,
 		t:   t,
 	}
@@ -943,8 +944,9 @@
 	t *testing.T,
 	dockerConfig *common.DockerConfig,
 	cce containerConfigExpectations,
 ) {
+t.Skip("DM-disabled");
 	c, e := prepareTestDockerConfiguration(t, dockerConfig, cce)
 	defer c.AssertExpectations(t)
 
 	c.On("ContainerInspect", mock.Anything, "abc").
@@ -964,8 +966,9 @@
 	t *testing.T,
 	dockerConfig *common.DockerConfig,
 	cce containerConfigExpectations,
 ) {
+t.Skip("DM-disabled");
 	c, e := prepareTestDockerConfiguration(t, dockerConfig, cce)
 	defer c.AssertExpectations(t)
 
 	c.On("ContainerStart", mock.Anything, "abc", mock.Anything).
@@ -1716,8 +1719,9 @@
 	}
 }
 
 func TestHelperImageRegistry(t *testing.T) {
+t.Skip("DM-disabled");
 	dockerOS := helperimage.OSTypeLinux
 	if runtime.GOOS == helperimage.OSTypeWindows {
 		dockerOS = runtime.GOOS
 	}
--- a/executors/docker/machine/machine_test.go
+++ b/executors/docker/machine/machine_test.go
@@ -19,9 +19,9 @@
 		RunnerSettings: common.RunnerSettings{
 			Executor: "docker+machine",
 			Docker: &common.DockerConfig{
 				Credentials: docker.Credentials{},
-				Image:       "alpine",
+				Image:       "gitlab-runner-helper:" + common.REVISION,
 			},
 		},
 	}
 }
